> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a WOD



## OpenAPI

````yaml delete /api/public/wods/{id}
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/wods/{id}:
    delete:
      tags:
        - wods
      summary: Delete a WOD
      operationId: WodUpWeb.PublicApi.WodController.delete
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: ID of WOD to delete
          example: wod_123abc
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '204':
          content:
            application/json: {}
          description: The resource was deleted successfully.
      callbacks: {}
components:
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````